<template lang="pug">
section.section.services-section
  .section__inner.services-section__inner
    .container
      .section-heading.section-heading--white.section-heading--mb-md.services-section__heading(v-if="title")
        h2.section-heading__title.section-heading__title--large.services-section__title
          div(v-html="title")

      .service.service--three-img(v-observe-visibility="visibilityChanged")
        .service__lines(v-if="theme === 'jetunity'")
          span
          span
          span
          span

        .service__images.service__images--three-img(
          v-if="image1 || image2 || image3"
        )
          .service__image(v-if="image1")
            img(:src="image1" alt="")
          .service__image(v-if="image2")
            img(:src="image2" alt="")
          .service__image(v-if="image3")
            img(:src="image3" alt="")

        .service__text(v-if="descriptionTitle || descriptionContent")
          .service__text-line(v-if="theme === 'jetunity'")
            span

          a.service__title(
            v-if="descriptionTitle && descriptionTitleLink && descriptionTitleLink.indexOf('http') === 0"
            :href="descriptionTitleLink"
            rel="nofollow"
            target="_blank"
          ) {{ descriptionTitle }}

          nuxt-link.service__title(
            v-else-if="descriptionTitle && descriptionTitleLink"
            :to="descriptionTitleLink"
          ) {{ descriptionTitle }}

          .service__title(
            v-else-if="descriptionTitle"
          ) {{ descriptionTitle }}

          .service__descr.html-block.html-block--white(v-if="descriptionContent" v-html="descriptionContent")

      .service-wrap(v-if="sections")
        .service(
          v-for="(section, i) in sections"
          :class="{ 'service--img-left': i % 2 === 0, 'service--img-right': i % 2 === 1}"
          :key="section.id"
          v-observe-visibility="visibilityChanged"
        )
          .service__images(v-if="section.image")
            .service__lines(v-if="theme === 'jetunity'")
              span
              span
              span
              span

            .service__image
              img(:src="section.image" alt="")

          .service__text
            a.service__title(
              v-if="section.title && section.link && section.link.indexOf('http') === 0"
              :href="section.link"
              rel="nofollow"
              target="_blank"
            ) {{ section.title }}

            nuxt-link.service__title(
              v-else-if="section.title && section.link"
              :to="section.link"
            ) {{ section.title }}

            .service__title(
              v-else-if="section.title"
            ) {{ section.title }}

            .service__descr.html-block.html-block--white(
              v-if="section.content"
              v-html="section.content"
            )
</template>

<script>
import { visibilityMixin } from '@/mixins/visibility'
import objectFitImages from 'object-fit-images'
import config from '@/config'

export default {
  name: 'ServicesSection',

  data () {
    return {
      theme: config.theme
    }
  },

  mounted () {
    objectFitImages()
  },

  mixins: [visibilityMixin],

  props: {
    descriptionContent: {
      type: [String, null],
      required: false,
      default: null
    },
    descriptionTitle: {
      type: [String, null],
      required: false,
      default: null
    },
    descriptionTitleLink: {
      type: [String, null],
      required: false,
      default: null
    },
    image1: {
      type: [String, null],
      required: false,
      default: null
    },
    image2: {
      type: [String, null],
      required: false,
      default: null
    },
    image3: {
      type: [String, null],
      required: false,
      default: null
    },
    sections: {
      type: [Array, null],
      required: false,
      default: null
    },
    title: {
      type: [String, null],
      required: false,
      default: null
    }
  }
}
</script>
